flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: Problem migrating to Flexmojos 6: Failure to find com.adobe.flex.framework:halo:swc
Date Mon, 23 Dec 2013 17:21:41 GMT
So did you get your air application working with AIR? Didn't quite get that ;-)

Chris

-----Urspr√ľngliche Nachricht-----
Von: wim.deblauwe [mailto:wim.deblauwe@gmail.com] 
Gesendet: Montag, 23. Dezember 2013 15:10
An: users@flex.apache.org
Betreff: Re: AW: Problem migrating to Flexmojos 6: Failure to find com.adobe.flex.framework:halo:swc

Sorry about that last message, it is in the docs here:
https://flexmojos.atlassian.net/wiki/display/FLEXMOJOS/Migrating+to+6.x

To be explicit, this is what I had with Flexmojos 4:

<dependency>
			<groupId>com.adobe.flex.framework</groupId>
			<artifactId>air-framework</artifactId>
			<version>${flex-framework.version}</version>
			<type>pom</type>
		</dependency>

This is what I have now:

<dependency>
            <groupId>com.adobe.air.framework</groupId>
            <artifactId>common-framework</artifactId>
            <version>${air.version}</version>
            <type>pom</type>
        </dependency>
        <dependency>
            <groupId>com.adobe.flex.framework.air</groupId>
            <artifactId>air-framework</artifactId>
            <version>${flex.version}</version>
            <type>pom</type>
        </dependency>


On a sidenote, I also depend on the adt jar (We are calling ADT directly via the exec-maven-plugin).
This used to be this:

<dependency>
			<groupId>com.adobe.flex</groupId>
			<artifactId>adt</artifactId>
			<version>${flex-framework.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

I had to change it to:

<dependency>
			<groupId>com.adobe.air.compiler</groupId>
			<artifactId>adt</artifactId>
			<version>${air.version}</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>

regards,

Wim



--
View this message in context: http://apache-flex-users.2333346.n4.nabble.com/Problem-migrating-to-Flexmojos-6-Failure-to-find-com-adobe-flex-framework-halo-swc-tp4254p4267.html
Sent from the Apache Flex Users mailing list archive at Nabble.com.

Mime
View raw message